Subject: Re: [PATCH] test-lib-functions: fix test_subcommand_inexact

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Mar 2022 17:33:05 -0700

Abhradeep Chakraborty <[email-masked]> writes:

> Inexact means that the line needs not to be exactly same - there may be
> some words in between the desired words (in this case, any flags that come
> between the desired sub-commands). The current behaviour (i.e. 
> `local expr=$(printf '"%s".*' "$@")`) is justifying the name of the function.

The current name may justify what it does, but so does "declare
match randomly" would.  How much fuzziness we tolerate is something
that must be made clear to help developers who may potentially want
to use it, and the phrase "inexact" alone would not help us.